Bug 56478 - mod_throttle doesn't work
mod_throttle doesn't work
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mod_throttle (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-19 12:49 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:12:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-19 12:49:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After setting up mod_throttle it doesn't deny access to a site that goes 
over it's limit with an error 503. It continues to serve web pages like 
nothing happened.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Mod_Throttle
2. Set limit on site
3. Continue to go to site
	

Actual Results:  The status page for mod_throttle goes red, but you can 
continue to go to the site with no problems, no throttling has occured

Expected Results:  An error 503, service unavailable

Additional info:
Comment 1 Need Real Name 2001-11-19 13:03:07 EST
on further testing I've found that if you exceed the limit and go to a page 
that doesn't exsist, you'll get the 503 and you'll get an error in the 
error_log saying you exceeded the limit, but it will continue to serve pages 
that do exsist.
Comment 2 Alessio Cecchi 2001-12-19 04:52:46 EST
Yes mod_throttle dosnt'work with red-hat 7.2
Comment 3 Need Real Name 2003-02-23 04:04:52 EST
mod_throttle doesn't work with RH 7.3 either.

First off here is how it behaves with 7.3 rpm versions of mod_throttle & apache

1.ThrottleClientIP option DOES work and site is blocked according to policies
set with that command.

2. ThrottlePolicy options DO NOT work.  Stats are kept fine and it shows they
have exceeding limits on /throttle-status (turns red) yet no requests are ever
refused.  This is true even if you set ThrottlePolicy Random 0 1w (which should
refuse every page request)

Now here is a description of what I found so far:

1.If I manually build mod_throttle from the source it still fails.  Thus figured
problem wasn't in mod_throttle (I tried every option variation there was)

2. Tried building apache from source (just used a pretty much default setup and
didn't specify any other options).  Now mod_throttle works whether I use the
mod_throttle.so file from my own build or the RH 7.3 mod_throttle.rpm file

So this confirmed that it was not the mod_throttle failing but something in
apache wasn't built right.which is what is causing the problems.

This means it should be easy to track down and fix now that we know it's not in
the mod_throttle module but in the rpm installation of apache.  It's very
important to my business to see this bug fixed so I hope this can get a higher
priority than normal.  Thanks for looking into this
Comment 4 Need Real Name 2003-02-28 17:01:50 EST
For some reason, the default configuration adds mod_throttle as one of the first
modules. (in the AddModule directives after ClearModuleList).Configured that
way, throttling doesn't seem to work at all. I moved

<IfDefine HAVE_THROTTLE>
 AddModule mod_throttle.c
 </IfDefine>

to the end of the list and throttling now appears to work 
Comment 5 Bill Nottingham 2006-08-07 15:52:44 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 13:12:06 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.